
import { _decorator, Component, Node, tween, Vec3 } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Tween')
export class Tween extends Component {
    vector = new Vec3();

    start () {
        this.repeatTw();
    }

    repeatTw() {
        const {vector} = this;

        console.log(vector.x);

        tween(vector)
            .to(2, {x: 1})
            .to(2, {x: 0})
            .call(() => this.repeatTw())
            .start();
    }

    update (deltaTime: number) {
        const {node, vector} = this;

        node.position = vector;
    }
}
